R语言安装辑程包不存在 解决R语言安装时出现辑程包不存在的问题

软件发布|下载排行|最新软件

当前位置:首页IT学院IT技术

R语言安装辑程包不存在 解决R语言安装时出现辑程包不存在的问题

一菲宝宝   2021-04-07 我要评论
想了解解决R语言安装时出现辑程包不存在的问题的相关内容吗,一菲宝宝在本文为您仔细讲解R语言安装辑程包不存在的相关知识和一些Code实例,欢迎阅读和指正,我们先划重点:R语言,安装,辑程包不存在,下面大家一起来学习吧。

【解决方案】

1.使用命令单独安装caret,安装的时间很长。

install.packages("caret", dependencies = c("Depends", "Suggests"))

需要安装依赖的包全部安装之后,就可以了。

依赖包如下:

dependencies ‘doMC', ‘rpvm', ‘Rcompression', ‘RMySQL', ‘globaltest', ‘OpenMx', ‘pryr', ‘gpclib', ‘marray', ‘affy', ‘Biobase', ‘RSVGTipsDevice', ‘rhdf5', ‘graph', ‘ncdf4', ‘Rgraphviz' are not available
also installing the dependencies ‘latticeExtra', ‘slam', ‘geoRglm', ‘vioplot', ‘ncdf', ‘rasterVis', ‘Rglpk', ‘Rsymphony', ‘BRugs', ‘rjags', ‘optextras', ‘svGUI', ‘misc3d', ‘geoR', ‘denstrip', ‘raster', ‘polyclip', ‘relations', ‘igraphdata', ‘R2WinBUGS', ‘SuppDists', ‘numDeriv', ‘gamm4', ‘betareg', ‘maxlike', ‘R2jags', ‘R2OpenBUGS', ‘BB', ‘ucminf', ‘Rcgmin', ‘Rvmmin', ‘minqa', ‘setRNG', ‘dfoptim', ‘svUnit', ‘mapdata', ‘sm', ‘rpanel', ‘tkrplot', ‘RandomFields', ‘deldir', ‘clue', ‘igraph', ‘emdbook', ‘MuMIn', ‘AICcmodavg', ‘optimx', ‘gmp', ‘rgdal', ‘gstat', ‘spatstat', ‘PBSmapping', ‘flexclust', ‘isa2', ‘bbmle', ‘Rmpfr', ‘partitions', ‘polynom', ‘rugarch', ‘mvnormtest', ‘pkgKitten', ‘combinat', ‘RItools', ‘rgenoud', ‘rbounds', ‘inline', ‘forward', ‘RDCOMClient', ‘mapproj', ‘linprog', ‘scalreg', ‘sp', ‘maptools', ‘biclust', ‘MplusAutomation', ‘GPArotation', ‘mnormt', ‘copula', ‘png', ‘RcppArmadillo', ‘hexbin', ‘CompQuadForm', ‘cem', ‘optmatch', ‘Matching', ‘WhatIf', ‘BMA', ‘DescTools', ‘maps', ‘gridBase', ‘hdi', ‘spam', ‘shapefiles', ‘spdep', ‘rgeos', ‘seriation', ‘lavaan.survey', ‘semPlot', ‘semTools', ‘simsem', ‘Cairo', ‘markdown', ‘Amelia', ‘survey', ‘MatchIt', ‘pcaPP', ‘relimp', ‘Ecfun', ‘gdata', ‘gnm', ‘ca', ‘gmodels', ‘Fahrmeir', ‘Sleuth2', ‘stabs', ‘fields', ‘BayesX', ‘gbm', ‘snowfall', ‘corrplot', ‘corpcor', ‘gsl', ‘lavaan', ‘arm', ‘DBI', ‘RSQLite', ‘RODBC', ‘shiny', ‘bitops', ‘AGD', ‘mitools', ‘pan', ‘Zelig', ‘rrcov', ‘lokern', ‘qvcalc', ‘glmmML', ‘Ecdat', ‘geepack', ‘ordinal', ‘vcdExtra', ‘glmnet', ‘mboost', ‘lqa', ‘lpSolve', ‘GAMBoost', ‘penalized', ‘TTR', ‘gamlss.data', ‘candisc', ‘corrgram', ‘FRB', ‘animation', ‘miscTools', ‘VGAMdata', ‘polycor', ‘MBESS', ‘mi', ‘quadprog', ‘biglm', ‘tripack', ‘logspline', ‘nor1mix', ‘MatrixModels', ‘Formula', ‘testit', ‘rmarkdown', ‘XML', ‘RCurl', ‘rms', ‘mice', ‘tables', ‘robust', ‘fit.models', ‘MPV', ‘sfsmisc', ‘catdata', ‘quantmod', ‘gamlss', ‘gamlss.dist', ‘gplots', ‘fBasics', ‘poLCA', ‘heplots', ‘maxLik', ‘MCMCpack', ‘VGAM', ‘sem', ‘locfit', ‘expm', ‘diptest', ‘mgcv', ‘mix', ‘bdsmatrix', ‘kinship2', ‘leaps', ‘oz', ‘quantreg', ‘knitr', ‘Hmisc', ‘date', ‘robustbase', ‘PerformanceAnalytics', ‘fTrading', ‘reshape', ‘effects', ‘ineq', ‘mlogit', ‘np', ‘plm', ‘pscl', ‘ROCR', ‘sampleSelection', ‘systemfit', ‘rgl', ‘truncreg', ‘urca', ‘TSA', ‘ape', ‘flexmix', ‘gee', ‘mclust', ‘rmeta', ‘coxme', ‘SimComp', ‘ISwR', ‘rlecuyer', ‘rsprng', ‘nws', ‘coda', ‘chron', ‘DAAG', ‘fts', ‘its', ‘mondate', ‘timeDate', ‘timeSeries', ‘tis', ‘tseries', ‘xts', ‘lmtest', ‘AER', ‘dynlm', ‘HSAUR', ‘coin', ‘multcomp', ‘snow', ‘RUnit', ‘gclus', ‘SparseM', ‘xtable', ‘plotmo', ‘plotrix', ‘akima', ‘mvtnorm', ‘TH.data', ‘scatterplot3d', ‘som', ‘zoo', ‘sandwich', ‘strucchange', ‘modeltools', ‘vcd', ‘Rmpi', ‘microbenchmark', ‘logcondens', ‘doSNOW', ‘cba', ‘testthat', ‘e1071', ‘earth', ‘fastICA', ‘gam', ‘ipred', ‘kernlab', ‘klaR', ‘ellipse', ‘mda', ‘party', ‘pls', ‘pROC', ‘proxy', ‘randomForest', ‘RANN', ‘spls'

2.载入需要的程辑包:caret

> library(adabag)

这是我在网上找的,自己试了一下,所以记下来。

补充:R3.4.1加载ggplot2包失败的解决办法

这两天在学R语言,版本是R3.4.1-x64,平台Windows11,在RStudio使用install.packages("ggplot2")及library(ggplot2)总是不成功,显示没有这个文档,很多warning,

先百度得出在RGUI中使用菜单程序包,选择安装程序包,选择ggpolt2结果显示warning:无法从一个临时文件夹转移至另一个文件夹(我安装RStudio选择的文件夹里的library),后来反复更新程序包、加载程序包,都不行还弄出了non-zero退出的错误。

终于在百度终于得出了几点,(原谅我忘了这个解决办法的地址)有人说是镜像问题,有人是版本不对重新下个,

下面是我的解决过程:

1.选择CRAN镜像,选择RGUI菜单栏程序包->选择CRAN镜像->最下面的other morrors->china(xiamen)。如果不选择other morrors,就只能选择china(lanzhou),要不然好几个中国CRAN镜像,北京、合肥,我选了厦门,百度的那个帖子是厦门,其他的我没试。

2.选择安装程序包->ggplot2,安装时就能看见URL是cran/xmen,在RStudio中用install.packages(...)的URL是cran.rstudio,有点不一样。

3.我的安装出现了"plyr"安装打开成功,但是无法从临时文件A复制到另一个文件B的问题。如果不解决这个问题是安装不成功的。所以我把B中的那个文件夹删了,因为安装好几次不成功,我的自己设置的R的文件夹中十几个"filexxxxxxxx"这种文件夹,我都删除了,然后是退出RGUI,重启。我是重启电脑了,不知道是不是只要重启RGUI行不行。

4.重新选择厦门镜像,安装程序包,这次成功了,

5.选择加载程序包,也成功了。

6.打开RStudio,library(ggplot2)。

大功告成,终于解决这个问题了,后面写代码还出现了“不存在叫‘stringi'这个名字的程辑包”,这种问题,那就在RStudio中“

install.packages("stringi"

”就可以了。

以上为个人经验,希望能给大家一个参考,也希望大家多多支持。如有错误或未考虑完全的地方,望不吝赐教。

编者按:【腾讯云】爆款云服务器限时体验20元起,更多上云必备产品低至1元

Copyright 2022 版权所有 软件发布

声明:所有软件和文章来自软件开发商或者作者 如有异议 请与本站联系 联系我们